Créer un objet Proxy pour le plan de travail Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft SetWorkingPlaneProxy and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎română

Draft SetWorkingPlaneProxy.svg Créer un objet Proxy pour le plan de travail Draft

Emplacement du menu
Draft → Utilitaires → Créer un objet Proxy pour le plan de travail
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Plan de travail Draft


Description

Cette commande placera un objet proxy de plan aligné sur le Plan de travail Draft.

Cet objet proxy peut être utilisé comme une face pour modifier rapidement le plan de travail à l'aide de l'outil Plan de travail Draft. La position de la caméra et la visibilité des objets dans la vue 3D peuvent être enregistrées dans l'objet proxy et restaurées à tout moment lorsque l'outil Plan de travail Draft est utilisé.

Draft WPProxy example.png

Trois proxy de plan de travail montrant différentes orientations et décalages


Utilisation

  1. Assurez-vous que le Plan de travail Draft est défini comme vous le souhaitez.
  2. Ensuite, allez au menu Draft → Utilitaires → Draft SetWorkingPlaneProxy.png Créer un objet Proxy pour le plan de travail Draft.

Remarques:

  • Le plan de travail stocké dans l'objet Proxy peut être restauré en double-cliquant sur l'objet dans la vue arborescente ou en sélectionnant l'objet Proxy et en utilisant le Draft SelectPlane.svg Plan de travail Draft bouton.
  • La position de la caméra est stockée dans l'objet proxy lors de la création. Cette position peut être mise à jour à tout moment: zoomez, faites un panoramique et faites pivoter la vue comme vous le souhaitez, puis cliquez avec le bouton droit de la souris sur l'objet Proxy dans la vue arborescente, puis sélectionnez Draft SelectPlane.svg Write camera position.
  • L'état de visibilité de tous les objets est également stocké dans l'objet Proxy lors de la création. Cet état peut être mis à jour à tout moment: définissez la propriété VUEVisibility des objets sur True ou False, puis cliquez à l'aide du bouton droit de la souris sur l'objet Proxy dans la vue arborescente, puis sélectionnez Draft SelectPlane.svg Write objects state.
  • Les mandataires de plan peuvent être déplacés et pivotés comme n'importe quel autre objet afin de définir le plan de travail souhaité. Leur apparence visuelle peut également être modifiée dans Éditeur de propriétés.

Propriétés

Données

  • DONNÉESPlacement: spécifie la position de l'objet proxy et le plan de travail correspondant.
    • DONNÉESPosition: spécifie les coordonnées de l'objet proxy.
    • DONNÉESAngle: spécifie l'angle de rotation de l'objet proxy.
    • DONNÉESAxis: spécifie l'axe à utiliser pour l'angle de rotation.

Vue

  • VUEDisplay Size: spécifie la longueur et la largeur de l'objet proxy. Si l'objet est créé dans la vue arborescente mais qu'aucun élément n'est visible dans la vue 3D, augmentez cette valeur jusqu'à ce qu'elle soit visible.
  • VUEArrow Size: spécifie la taille des flèches indiquant les trois axes du proxy plan.
  • VUERestore View: si mis à True, la position de la caméra vidéo sera restaurée à la position enregistrée lors de l'utilisation du proxy avec Draft SelectPlane.svg Plan de travail Draft ou en double-cliquant dessus.
  • VUERestore State: si mis à True, l'état de visibilité de tous les objets sera restauré à l'état enregistré lors de l'utilisation du proxy avec Draft SelectPlane.svg Plan de travail Draft ou en double-cliquant dessus.

Script

Voir aussi: Draft API et FreeCAD Scripts de base.

L'outil Créer un objet Proxy pour le plan peut être utilisé dans une macro, et, à partir de la console Python en utilisant la fonction suivante:

WPProxy = makeWorkingPlaneProxy(placement)
  • Crée un objet WPProxy à partir du placement donné, qui est un FreeCAD.Placement.
    • Un emplacement est défini par un point de base, donné par son FreeCAD.Vector et un FreeCAD.Rotation.

La taille du proxy de plan peut être modifiée en remplaçant ses attributs ViewObject.DisplaySize et ViewObject.ArrowSize par des unités en millimètres.

Le proxy de plan a un objet "Face" comme attribut Shape. Cette face peut être utilisée pour définir le plan de travail actuel en appelant sa méthode alignToFace().

Exemple:

import FreeCAD, FreeCADGui, Draft

currentWP = FreeCAD.DraftWorkingPlane
place = currentWP.getPlacement()

WPProxy = Draft.makeWorkingPlaneProxy(place)
WPProxy.ViewObject.DisplaySize = 3000
WPProxy.ViewObject.ArrowSize = 200

YAxis = FreeCAD.Vector(0, 1, 0)
point2 = FreeCAD.Vector(3000, 0, 0)
place2 = FreeCAD.Placement(point2, FreeCAD.Rotation(YAxis, 90))

WPProxy2 = Draft.makeWorkingPlaneProxy(place2)
WPProxy2.ViewObject.DisplaySize = 3000
WPProxy2.ViewObject.ArrowSize = 200

Axis = FreeCAD.Vector(1, 1, 1)
point3 = FreeCAD.Vector(-3000, 3000, 0)
place3 = FreeCAD.Placement(point3, FreeCAD.Rotation(Axis, 90))

WPProxy3 = Draft.makeWorkingPlaneProxy(place3)
WPProxy3.ViewObject.DisplaySize = 3000
WPProxy3.ViewObject.ArrowSize = 200
FreeCAD.ActiveDocument.recompute()

currentWP.alignToFace(WPProxy3.Shape)
FreeCADGui.Snapper.setGrid()